Download it now!
Bug 121168 - MAILMERGE Document with a custom page style and section is mail-merged into default style
Summary: MAILMERGE Document with a custom page style and section is mail-merged into d...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.2.0.4 release
Hardware: All All
: medium normal
Assignee: Mike Kaganski
URL:
Whiteboard: target:6.3.0 target:6.2.0.2 target:6.1.5
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Mail-Merge
  Show dependency treegraph
 
Reported: 2018-11-05 02:29 UTC by Aron Budea
Modified: 2019-01-16 15:07 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Mail merge document (8.79 KB, application/vnd.oasis.opendocument.text)
2018-11-05 02:29 UTC, Aron Budea
Details
Address list (7.17 KB, application/vnd.oasis.opendocument.spreadsheet)
2018-11-05 02:30 UTC, Aron Budea
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Aron Budea 2018-11-05 02:29:50 UTC
Created attachment 146305 [details]
Mail merge document

The attached mail merge document contains a custom page style with a header and an increased left margin (to have obvious visible differences), and a section within the document.

- Rum a mail merge on the document.
- Save merged documents as a single document.
- Open the saved merged document.

=> The merged document has default style (ie. it has no header and has default margins).

Observed using LO 6.2 alpha1 & 5.2.0.4 / Windows 7.
No issue with LO 5.1.0.3.
=> regression

Bibisected to the following commit using repo bibisect-win32-5.2.

https://cgit.freedesktop.org/libreoffice/core/commit/?id=e817940a83ba7f2768acc245e005ca096d34776a
author		Jan-Marek Glogowski <glogow@fbihome.de>	2016-01-18 16:48:54 +0100
committer	Jan-Marek Glogowski <glogow@fbihome.de>	2016-03-24 22:40:47 +0100

MM: move SwPageDesc handling into SwDoc::AppendDoc
Comment 1 Aron Budea 2018-11-05 02:30:39 UTC
Created attachment 146306 [details]
Address list
Comment 2 Mike Kaganski 2018-12-18 21:44:33 UTC
https://gerrit.libreoffice.org/65383
Comment 3 Commit Notification 2018-12-19 08:48:27 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/ec928ac5d84273b4bc1f923c545834dc59d3e394%5E%21

tdf#121168: Ensure page descriptions are correct in work document

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Xisco Faulí 2018-12-26 13:35:27 UTC
Verified in

Version: 6.3.0.0.alpha0+
Build ID: 993913469e74e9db9743004bbe36aa412411671c
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Mike Kaganski, thanks for fixing this!!
Comment 5 Commit Notification 2019-01-07 15:56:45 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/2e93b856152e5598a1aad870711e8bc13abb666b%5E%21

tdf#121168: Ensure page descriptions are correct in work document

It will be available in 6.2.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2019-01-16 15:07:55 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

https://git.libreoffice.org/core/+/69fcd630f18041c4363de2a1e2aa17d5c53ddca1%5E%21

tdf#121168: Ensure page descriptions are correct in work document

It will be available in 6.1.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.